package com.sf.day03;

import java.util.Scanner;

public class Test01 {
    public static void main(String[] args) {

        /**
         * 1、switch case的基础语法
         * 2、用从键盘输入的方式去获取当前变量
         * 3、用if else语法去完成这个需求
         *
         */
//        String season = "summer";
        Scanner scanner = new Scanner(System.in);
        String season = scanner.next();
        switch (season){
            case "spring" :
                System.out.println("这是春天");
                break;
            case "summer" :
                System.out.println("这是夏天！！！");
                break;
            case "autumn" :
                System.out.println("这是秋天！！！");
                break;
            case "winter" :
                System.out.println("这是冬天！！！");
                break;
            default :
                System.out.println("输入有误，请重新输入");
                break;
        }

        if(season.equals("spring")) {
            System.out.println("春");
        }else if (season.equals("summer")){
            System.out.println("夏");
        }else if (season.equals("winter")){
            System.out.println("冬");
        }else {
            System.out.println("秋");
        }

        /**
         * //键盘输入指定月份,打印该月份所属的季节。假如 :1,2,3春季4,5,6夏季7,8,9秋季10,11,12冬季
         */
        int i = scanner.nextInt();
        switch (i) {
            case 1:
            case 2:
            case 3:
                System.out.println("春");
                break;
            case 4:
            case 5:
            case 6:
                System.out.println("夏");
                break;
            case 7:
            case 8:
            case 9:
                System.out.println("秋");
                break;
            case 10:
            case 11:
            case 12:
                System.out.println("冬");
                break;
            default:
                System.out.println("输入有误");
                break;
        }

        int k= 0;  //初始化
        /**
         * for 循环   求1+2+...+100的和
         */
        int sum= 0;
        for(int a = 1;a <=100 ;a++){
            sum += a;
        }
        System.out.println(sum);


        /**
         * 5个hello
         */
        for (int b=1 ;b <=5 ;b++){
            System.out.println("hello world  !!!");
        }

        /**
         * 遍历1-100以内的偶数  并并且获取偶数的个数   获取所有偶数的和
         */

        int count = 0;
        int sum1 = 0;
        for (int c = 1 ;c <=100;c++){
            if(c % 2 ==0){
                count++;
                sum1 += c;
            }
        }
        System.out.println("1-100之间偶数的个数=="+count+",,,,偶数的总和为"+sum1);


        /**
         * 水仙花  153 = 1*1*1+5*5*5+3*3*3
         */

//        水仙花个数
        int sxhCount = 0;
        for (int s = 100 ;s <1000;s++){
//            个位
           int gw =  s%10;
//           十位
           int sw = s/10%10;
//           百位
           int bw = s/100;
//          判断是否为水仙花数的条件
           if((gw*gw*gw+sw*sw*sw+bw*bw*bw) == s){
               System.out.println("水仙花"+s);
//               输出水仙花的个数
               sxhCount++;
           }
        }
        System.out.println("水仙花个数"+sxhCount);


        /**
         * 最大公约数和最小公倍数
         */

        int m = scanner.nextInt();
        int n = scanner.nextInt();

//       判断两个数的大小       公约数
        int min = (m<n)?m:n;      //获取输入的两个数中的最小值
        for (int d = min ;d >= 1;d--){   //递减      判断最大公约数
            if(m%d == 0 && n % d ==0){     //公约数的判断条件
                System.out.println(d);
                break;     //如果存在跳出循环
            }
        }

//        公倍数
        int max = (m>n)?m:n;
        for (int f = max;f <= m*n;f++){
            if(f % m == 0 && f % n == 0 ){
                System.out.println("最小公倍数"+f);
                break;
            }
        }

        /**
         * 奇数  打印1~100之间所有奇数的和
         */

        int jsCount = 0;
        for(int p = 0;p<100;p++){
            if(p % 2 != 0){
                System.out.println(p);
                jsCount +=p;
            }
        }
        System.out.println(jsCount);


        /**
         *打印1~100之间所有是7的倍数的整数的个数及总和（体会设置计数器的思想）
         */

        int sum7 = 0;//记录总和
        int count7 = 0;//记录个数
        for (int i7 = 1; i7 < 100; i7++) {
            if(i7 % 7 == 0){
                sum7 += i7;
                count7++;
            }
        }
        System.out.println("1~100之间所有是7的倍数的整数的和为：" + sum7);
        System.out.println("1~100之间所有是7的倍数的整数的个数为：" + count7);

        /**
         * while循环
         * while(判断条件   布尔表达式){  //true   false
         *
         * }
         *
         * true  :    死循环   开发时候一定要避免这种情况    可能会造成栈溢出问题
         */

        /**
         * 求和  1-100
         */
        int  whileSum = 0;
        int ii=1;
        while (ii <=100){
        whileSum +=ii;
        ii++;
        }
        System.out.println(whileSum);
    }
}
